function Fcrit = Fmc( stress, Fi, coh )
    %kryterium C-M, Griffiths
    [sigm dsbar theta] = invar( stress );
    Fcrit = sigm*sin(Fi) + dsbar*( cos(theta)/sqrt(3) - sin(theta)*sin(Fi)/3 ) - coh*cos(Fi);
