function N = NQ8( iG )
    %funkcje ksztaltu Q8
	
    GP = GaussQ8( iG );
    
	ksi = GP.ksi;
	eta = GP.eta;

	N(1) = 0.25 .* ( 1 - ksi ) .* ( 1 - eta ) .* ( -1 - ksi - eta );
	N(2) = 0.5 .* ( 1 - ksi ) .* ( 1 - eta .* eta );
	N(3) = 0.25 .* ( 1 - ksi ) .* ( 1 + eta ) .* ( -1 - ksi + eta );
	N(4) = 0.5 .* ( 1 - ksi .* ksi ) .* ( 1 + eta );
	N(5) = 0.25 .* ( 1 + ksi ) .* ( 1 + eta ) .* ( -1 + ksi + eta );
	N(6) = 0.5 .* ( 1 + ksi ) .* ( 1 - eta .* eta );
	N(7) = 0.25 .* ( 1 + ksi ) .* ( 1 - eta ) .* ( -1 + ksi - eta );
	N(8) = 0.5 .* ( 1 - ksi .* ksi ) .* ( 1 - eta );

