function [Fi, coh, Psi, dFidE, dcdE] = updateMAT_G( MAT, Edp )    

for iG=1:9
    %aktualne wartosci parametrow wytrzymalosciowych
    Fi(iG) = interp1( MAT.Edpf, MAT.Fi, Edp(1,iG) ); 
    coh(iG) = interp1( MAT.Edpc, MAT.c, Edp(1,iG) );    
    Psi(iG) = interp1( MAT.Edpp, MAT.Psi, Edp(1,iG) );    
    
    %pochodne parametrow
    if Edp(1,iG) < MAT.Edpf(1,1)
        dFidE(iG) = (MAT.Fi(1,2)-MAT.Fi(1,1))./(MAT.Edpf(1,2)-MAT.Edpf(1,1));
    end
    if (Edp(1,iG) >= MAT.Edpf(1,1)) && (Edp(1,iG) < MAT.Edpf(1,2))
        dFidE(iG) = 0;
    end
    if (Edp(1,iG) >= MAT.Edpf(1,2)) && (Edp(1,iG) < MAT.Edpf(1,3))
        dFidE(iG) = (MAT.Fi(1,4)-MAT.Fi(1,3))./(MAT.Edpf(1,4)-MAT.Edpf(1,3));
    end
    if Edp(1,iG) >= MAT.Edpf(1,3)
        dFidE(iG) = 0;
    end

    if Edp(1,iG) < MAT.Edpc(1,1)
        dcdE(iG) = (MAT.c(1,2)-MAT.c(1,1))./(MAT.Edpc(1,2)-MAT.Edpc(1,1));
    end
    if (Edp(1,iG) >= MAT.Edpc(1,1)) && (Edp(1,iG) < MAT.Edpc(1,2))
        dcdE(iG) = 0;
    end
    if (Edp(1,iG) >= MAT.Edpc(1,2)) && (Edp(1,iG) < MAT.Edpc(1,3))
        dcdE(iG) = (MAT.c(1,4)-MAT.c(1,3))./(MAT.Edpc(1,4)-MAT.Edpc(1,3));
    end        
    if Edp(1,iG) >= MAT.Edpc(1,3)
        dcdE(iG) = 0;
    end
end
